Bug 24958 - missing file in glibc-devel-2.1.3-22.i386.rpm
Summary: missing file in glibc-devel-2.1.3-22.i386.rpm
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: glibc   
(Show other bugs)
Version: 6.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-01-25 20:12 UTC by tony
Modified: 2016-11-24 14:54 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-25 20:12:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description tony 2001-01-25 20:12:47 UTC
After updating to glibc-devel-2.1.3-22.i386.rpm
(from Advisory ID: RHSA-2001:002-03)

I found that I cannot compile some of programs(e.g. sendmail-8.11.2, wu-
ftpd-2.6.1). There are missing files in `header` file.

part of error message when compile sendmail-8.11.2:
/usr/include/bits/sigcontext.h:28: asm/sigcontext.h: No such file or 
directory
In file included from /usr/include/sys/socket.h:34,
                 from /usr/include/netdb.h:31,
                 from ../../sendmail/conf.h:44,
                 from ../../include/sendmail/sendmail.h:26,
                 from ../../sendmail/sendmail.h:53,
                 from debug.c:15:

Comment 1 Jakub Jelinek 2001-01-27 23:43:15 UTC
Seems like you lost /usr/include/linux and /usr/include/asm symlinks
for some reason (cannot reproduce it myself).
Just recreate them (for d in asm linux; do ln -sf /usr/src/linux/include/$d /usr/include/$d; done)


Note You need to log in before you can comment on or make changes to this bug.